E2UNDO(8)

NOM
e2undo – Rejouer un journal d'annulations pour un système de fichiers ext2/ext3/ext4

SYNOPSIS
e2undo [ -f ] [ -h ] [ -n ] [ -o position ] [ -v ] [ -z fichier_annulations ] journal_annulations périphérique

DESCRIPTION
e2undo rejouera le journal d'annulations journal_annulations pour un système de fichiers ext2/ext3/ext4 trouvé sur le périphérique. Il peut être utilisé pour annuler une opération d’un programme e2fsprogs ayant échouée.

OPTIONS

-f  Normalement, e2undo vérifiera le superbloc de système de fichiers pour s'assurer que le journal d'annulations correspond bien au système de fichiers sur le périphérique. S'il ne correspond pas, e2undo refusera d'appliquer le journal d'annulations par mesure de sécurité. L'option -f désactive cette mesure de sécurité.

-h  Afficher une aide sur l'utilisation.

-n  Essai à vide, ne pas écrire réellement les blocs sur le système de fichiers.

-o position
    Indiquer la position dans le système de fichiers (en octets) à partir du commencement du périphérique ou du fichier.

-v  Rapporter quel bloc est en cours de révision.

-z fichier_annulations
    Avant d’écraser un bloc de système de fichiers, écrire le contenu du bloc dans un fichier d’annulations. Ce fichier peut être utilisé par e2undo(8) pour restaurer l’ancien contenu du système de fichiers si quelque chose se passe mal. Si une chaîne vide est passée comme argument du fichier d’annulations, le fichier d’annulations sera écrit dans un fichier appelé « e2undo-périphérique.e2undo » dans le répertoire précisé à l’aide de la variable d’environnement E2FSPROGS_UNDO_DIR.

    AVERTISSEMENT : le fichier d’annulations ne peut pas être utilisé pour se remettre d'une coupure d'alimentation ou d'un plantage du système.

AUTEUR
e2undo a été écrit par Aneesh Kumar K.V. (aneesh.kumar@linux.vnet.ibm.com)

DISPONIBILITÉ
e2undo fait partie du paquet e2fsprogs qui est disponible sur http://e2fsprogs.sourceforge.net.

VOIR AUSSI
mke2fs(8), tune2fs(8)

TRADUCTION
La traduction française de cette page de manuel a été créée par Gérard Delafond <gerard@delafond.org>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Sébastien Blanchet, Emmanuel Araman <Emmanuel@araman.org>, Éric Piel <eric.piel@tremplin-utc.net>, Nicolas François <nicolas.francois@centraliens.net>, Romain Doumenc <rd6137@gmail.com>, David Prévot <david@tilapin.org>, Cédric Boutillier <cedric.boutillier@gmail.com> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.